OOUI\FieldLayout Class Reference

Layout made of a field and optional label. More...

Inheritance diagram for OOUI\FieldLayout:
[legend]
Collaboration diagram for OOUI\FieldLayout:
[legend]

## Public Member Functions

| __construct ($fieldWidget, array $config=array())
| getField ()
| Get the field. More...
| getConfig (&$config)
Public Member Functions inherited from OOUI\Layout
| __construct (array $config=array())
Public Member Functions inherited from OOUI\Element
| __construct (array $config=array())
| __call ($method, $arguments)
| Call a mixed-in method. More...
| __get ($name)
| Get a mixed-in target property. More...
| __isset ($name)
| Check for existence of a mixed-in target property. More...
| getTagName ()
| Get the HTML tag name. More...
| getData ()
| Get element data. More...
| setData ($data)
| Set element data. More...
| supports ($methods)
| Check if element supports one or more methods. More...
| mixin (ElementMixin $mixin)
| Mixin a class. More...
| getConfig (&$config)
| Add the necessary properties to the given `$config` array to allow reconstruction of this widget via its constructor. More...
| toString ()
| Render element into HTML. More...
Public Member Functions inherited from OOUI\Tag
| __construct ($tag= 'div')
| Create element. More...
| hasClass ($class)
| Check for CSS class. More...
| addClasses (array $classes)
| Add CSS classes. More...
| removeClasses (array $classes)
| Remove CSS classes. More...
| toggleClasses (array $classes, $toggle=null)
| Toggle CSS classes. More...
| getAttribute ($key)
| Get HTML attribute value. More...
| setAttributes (array $attributes)
| Add HTML attributes. More...
| setValue ($value)
| Set value of input element ('value' attribute for most, element content for textarea). More...
| removeAttributes (array $keys)
| Remove HTML attributes. More...
| appendContent ()
| Add content to the end. More...
| prependContent ()
| Add content to the beginning. More...
| clearContent ()
| Remove all content. More...
| getElementGroup ()
| Get group element is in. More...
| setElementGroup ($group)
| Set group element is in. More...
| setInfusable ($infusable)
| Enable widget for client-side infusion. More...
| isInfusable ()
| Get client-side infusability. More...
| ensureInfusableId ()
| Ensure that this given Tag is infusable and has a unique `id` attribute. More...
| toString ()
| Render element into HTML. More...
| __toString ()
| Magic method implementation. More...

## Public Attributes

| $body
| $messages

## Protected Member Functions

| setAlignment ($value)
| Set the field alignment mode. More...
Protected Member Functions inherited from OOUI\Element
| getJavaScriptClassName ()
| The class name of the JavaScript version of this widget. More...
| getGeneratedAttributes ()
Protected Member Functions inherited from OOUI\Tag
| getGeneratedAttributes ()
| Return an augmented `attributes` array, including synthetic attributes which are created from other properties (like the `classes` array) but which shouldn't be retained in the user-visible `attributes`. More...

## Protected Attributes

string | $align
| Alignment.
Widget | $fieldWidget
| Field widget to be laid out.
array | $errors
| Error messages.
array | $notices
| Notice messages.
ButtonWidget string | $help
| $field
Protected Attributes inherited from OOUI\Element
mixed | $data = null
| Element data.
array | $ownClasses = array()
| Strings of the CSS classes explicitly configured for this element (as opposed to $classes, which contains all classes for this element).
array | $mixins = array()
| ElementMixins. More...
Protected Attributes inherited from OOUI\Tag
string | $tag = ''
| Tag name for this instance. More...
array | $attributes = array()
| Attributes. More...
array | $classes = array()
| Classes. More...
array | $content = array()
| Content. More...
GroupElement null | $elementGroup = null
| Group. More...
boolean | $infusable = false
| Infusion support. More...

## Additional Inherited Members

Static Public Member Functions inherited from OOUI\Element
static | getDir (Tag $element)
| Get the direction of the user interface for a given element. More...
static | setDefaultDir ($dir)
| Set the default direction of the user interface. More...
Static Public Attributes inherited from OOUI\Element
static string | $tagName = 'div'
| HTML tag name. More...
static string | $defaultDir = 'ltr'
| Default text direction, used for some layout calculations. More...

## Detailed Description

Layout made of a field and optional label.

Available label alignment modes include:

- left: Label is before the field and aligned away from it, best for when the user will be scanning for a specific label in a form with many fields
- right: Label is before the field and aligned toward it, best for forms the user is very familiar with and will tab through field checking quickly to verify which field they are in
- top: Label is before the field and above it, best for when the user will need to fill out all fields from top to bottom in a form with few fields
- inline: Label is after the field and aligned toward it, best for small boolean fields like checkboxes or radio buttons

## Constructor & Destructor Documentation

OOUI\FieldLayout::__construct | ( |  | $fieldWidget,
|  | array | $config = `array()`
| ) |  |

Parameters

  Widget | $fieldWidget | Field widget
  array | $config | Configuration options
  string | $config,['align'] | Alignment mode, either 'left', 'right', 'top' or 'inline' (default: 'left')
  array | $config,['errors'] | Error messages about the widget, as strings or HtmlSnippet instances.
  array | $config,['notices'] | Notices about the widget, as strings or HtmlSnippet instances.
  string | HtmlSnippet | $config,['help'] | Explanatory text shown as a '?' icon.

Exceptions

  Exception | An exception is thrown if no widget is specified

## Member Function Documentation

OOUI\FieldLayout::getField | ( |  | ) |

Get the field.

Returns
  Widget Field widget

OOUI\FieldLayout::setAlignment | ( |  | $value | ) |

protected

Set the field alignment mode.

Parameters

  string | $value | Alignment mode, either 'left', 'right', 'top' or 'inline'

Returns
  $this

The documentation for this class was generated from the following file:

- php/layouts/FieldLayout.php